import numpy as np
import pytest
from skcomponents.processing import ADC


def test_adc():
    adc = ADC(bits=3, min_value=0, max_value=7)
    signal = adc.process_signal(np.array([-1.0, 0.0, 0.49, 0.51, 1.0, 6.1, 6.9, 7.0, 8.0]))
    digitized = np.array([0.0, 0.0, 0.0, 1.0, 1.0, 6.0, 7.0, 7.0, 7.0])
    assert np.allclose(signal, digitized)
